OSSL_CMP_MSG_GET0_HEADER(3)

NAME
OSSL_CMP_MSG_get0_header - function(s) manipulating CMP messages

SYNOPSIS
  #include <openssl/cmp.h>

  OSSL_CMP_PKIHEADER *OSSL_CMP_MSG_get0_header(const OSSL_CMP_MSG *msg);

DESCRIPTION
OSSL_CMP_MSG_get0_header returns the header of the given CMP message.

NOTES
CMP is defined in RFC 4210.

RETURN VALUES
CMP_MSG_get0_header() returns the intended pointer value as described above or NULL if the respective entry does not exist and on error.

HISTORY
The OpenSSL CMP support was added in OpenSSL 3.0.

COPYRIGHT
Copyright 2007-2019 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.